body {
    /* pour changer les marges du body */
    margin:20vh 0 0 0;
}

header {
    position: relative;
    z-index: 1;
    text-align: center;
}

header .overlay {
    position: relative;
    z-index: -1;
    inset: 0;
}

/* style du background */
#backgroundacceuil {
    position: fixed;
    top: 0;
    left: 0;
    /* permets de le mettre en dessous de tout les éléments supérieurs à -2 */
    z-index: -2;
    /* pour centrer peu importe l'écran */
    width: 100%;
    height: 100%;
}

@media (min-aspect-ratio: 16/9) {
    #backgroundacceuil {
        /* pour le mettre en plein écran ? */
        width: 100%;
        height: auto;
        /* pour le centrer */
        height: 300%;
        top: -100%;
    }
}

@media (max-aspect-ratio: 16/9) {
    #backgroundacceuil {
        width: auto;
        height: 100%;
        width: 300%;
        left: -100%;
    }
}

/* ça c'est pour gérer tout les flex en même temps, en l'occurence, l'avatar et les boutons */
.flex {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    max-width: 1500px;
}

/* les hashtags sont reliés aux id déterminés en html */
#avatar {
    /* pour déterminer les marges autours de l'avatar */
    margin-top: 0;
    margin-bottom: 30px;
    margin-left: auto;
    margin-right: auto;
}

#boutons {
    /* le max widht c'est la valeur à changer pour augmenter la largeur max de la ligne des boutons. Si je veux en rajouter par exemple faudra que je l'augmente pour que tout les boutons soient centrés */
    max-width: 900px;
    /* pour déterminer les marges autours des boutons */
    margin-top: 0;
    margin-bottom: 50px;
    margin-left: auto;
    margin-right: auto;
}

/* animation pour les boutons. le a:hover c'est la position, taille finale des boutons quand la souris passe dessus*/
a:hover {
    margin-left: 40px;
    margin-right: 40px;
    width: auto;
    transform: scale(1.5);
    transition: 0.4s;

}

a {
    /* retour quand la souris s'enlève des boutons */
    transition: 0.6s;
}